Package it.ernytech.tdlib

## Class TdApi.GetNotificationSettings

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetNotificationSettings

Enclosing class:
  TdApi

    public static class TdApi.GetNotificationSettings
    extends TdApi.Function

Returns the notification settings for a given scope.

Returns `NotificationSettings`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.NotificationSettingsScope` `scope` Scope for which to return the notification settings information.

### Constructor Summary

Constructors
`GetNotificationSettings()` Default constructor.
`GetNotificationSettings​(TdApi.NotificationSettingsScope scope)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### scope

    public TdApi.NotificationSettingsScope scope

Scope for which to return the notification settings information.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetNotificationSettings

    public GetNotificationSettings()

Default constructor.

#### GetNotificationSettings

    public GetNotificationSettings​(TdApi.NotificationSettingsScope scope)

Constructor for initialization of all fields.

Parameters:
  `scope` - Scope for which to return the notification settings information.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR